> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Video Generation



## OpenAPI

````yaml /api-reference/openapi.json post /api/v2/external/videos/generations
openapi: 3.1.0
info:
  title: Lyceum Cloud API
  version: 0.1.0
servers:
  - url: https://api.lyceum.technology
    description: Production
security:
  - bearerAuth: []
paths:
  /api/v2/external/videos/generations:
    post:
      tags:
        - Video Generation
      summary: Create Video Generation
      operationId: create_video_generation_api_v2_external_videos_generations_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoGenerationRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoGenerationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    VideoGenerationRequest:
      properties:
        model:
          type: string
          title: Model
        video_url:
          type: string
          title: Video Url
        reference_image_url:
          type: string
          title: Reference Image Url
        resolution:
          type: string
          title: Resolution
          default: 720p
      type: object
      required:
        - model
        - video_url
        - reference_image_url
      title: VideoGenerationRequest
    VideoGenerationResponse:
      properties:
        video_url:
          type: string
          title: Video Url
      type: object
      required:
        - video_url
      title: VideoGenerationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Pass an API key (prefixed `lk_`) or a JWT access token as a bearer
        token. Generate API keys in the dashboard at
        https://dashboard.lyceum.technology/api-keys.

````